! test WHERE
! R738 - R743


PROGRAM E4

INTEGER  var1(100)
LOGICAL  var2(100)
INTEGER  var3

interface assignment (=)
        subroutine bit_to_numeric(a,b)
                integer ,intent(out)::a(:)
                logical ,intent(in) ::b(:)
        end subroutine bit_to_numeric
end interface

! error(160)
WHERE (var3>0)  var3=var3+1

WHERE (var1>0) 
! error(243)
!R743.2
    var1=var2
ELSEWHERE
! error(243)
!R743.2
    var1=var2
END WHERE


END 
